The following commit has been merged in the master branch:
commit 911513c69abeed202ce07646280340f875603884
Author: Mehdi Dogguy <me...@debian.org>
Date:   Mon Jan 16 18:09:44 2012 +0100

    Fix two patches

diff --git a/debian/changelog b/debian/changelog
index 6bcd309..8ff4ec6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+why (2.30+dfsg-3) unstable; urgency=low
+
+  * Fix 0002-Mark-alt-ergo-0.93-as-compatible.patch
+    - Adapt version_regexp because "alt-ergo -version" changed.
+  * Fix 0004-Default-to-why2-for-jessie-atp.patch
+    - default to "gui" instead of "why2".
+
+ -- Mehdi Dogguy <me...@debian.org>  Mon, 16 Jan 2012 18:08:14 +0100
+
 why (2.30+dfsg-2) unstable; urgency=low
 
   * Rebuilt with latest coq-float 1:8.3pl1-1 (no source changes).
diff --git a/debian/patches/0002-Mark-alt-ergo-0.93-as-compatible.patch 
b/debian/patches/0002-Mark-alt-ergo-0.93-as-compatible.patch
index 1738e0e..bec9419 100644
--- a/debian/patches/0002-Mark-alt-ergo-0.93-as-compatible.patch
+++ b/debian/patches/0002-Mark-alt-ergo-0.93-as-compatible.patch
@@ -3,18 +3,20 @@ Date: Thu, 8 Dec 2011 16:42:30 +0100
 Subject: Mark alt-ergo > 0.93 as compatible
 
 ---
- tools/dpConfig.ml |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ tools/dpConfig.ml |    4 ++--
+ 1 files changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/tools/dpConfig.ml b/tools/dpConfig.ml
-index 66be764..da10db6 100644
+index 66be764..ca83a38 100644
 --- a/tools/dpConfig.ml
 +++ b/tools/dpConfig.ml
-@@ -84,7 +84,7 @@ let alt_ergo =
+@@ -83,8 +83,8 @@ let alt_ergo =
+     is_interactive = false;
      version = "";
      version_switch = "-version";
-     version_regexp = ".*Ergo \\([^ ]*\\)";
+-    version_regexp = ".*Ergo \\([^ ]*\\)";
 -    versions_ok = ["0.93"];
++    version_regexp = "\\([^ ]*\\)";
 +    versions_ok = ["0.93"; "0.93.1"; "0.94"];
      versions_old = ["0.8"; "0.9" ; "0.91"; "0.92.1"; "0.92.2" ];
      command = "alt-ergo";
diff --git a/debian/patches/0004-Default-to-why2-for-jessie-atp.patch 
b/debian/patches/0004-Default-to-why2-for-jessie-atp.patch
index 31da14c..4021bcf 100644
--- a/debian/patches/0004-Default-to-why2-for-jessie-atp.patch
+++ b/debian/patches/0004-Default-to-why2-for-jessie-atp.patch
@@ -7,7 +7,7 @@ Subject: Default to why2 for -jessie-atp
  1 files changed, 1 insertions(+), 1 deletions(-)
 
 diff --git a/frama-c-plugin/jessie_options.ml 
b/frama-c-plugin/jessie_options.ml
-index 8e57656..8da0b66 100644
+index 8e57656..ce0e99c 100644
 --- a/frama-c-plugin/jessie_options.ml
 +++ b/frama-c-plugin/jessie_options.ml
 @@ -175,7 +175,7 @@ module Atp =
@@ -15,7 +15,7 @@ index 8e57656..8da0b66 100644
         let option_name = "-jessie-atp"
         let module_name = "-jessie-atp"
 -       let default = "why3ml"
-+       let default = "why2"
++       let default = "gui"
         let arg_name = ""
         let help = "use given automated theorem prover, among `alt-ergo', 
`cvc3', `simplify', `vampire', `yices' and `z3'. Use `goals' to simply generate 
goals in Why syntax."
         let kind = `Tuning

-- 
why packaging

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to